Package Details: qtwebflix-git 0.1.r173.ga50ef71-1

Git Clone URL: https://aur.archlinux.org/qtwebflix-git.git (read-only, click to copy)
Package Base: qtwebflix-git
Description: Standalone HD Netflix Browser using qt5-webengine (also supports Amazon prime, HBO Go, Hulu, Crunchy Roll)
Upstream URL: https://github.com/gort818/qtwebflix
Keywords: 1080p amazon drm hbo hd qt5-webengine
Licenses: GPL3
Submitter: omni
Maintainer: omni
Last Packager: omni
Votes: 26
Popularity: 0.46
First Submitted: 2017-10-02 13:44
Last Updated: 2019-06-30 11:48

Pinned Comments

Plexcon commented on 2018-08-16 09:18

Also supports adding other streaming services go to ~/.config/Qtwebflix/Providers.conf and add your service

[providers] netflix=http://netflix.com prime=https://www.primevideo.com/region/eu/storefront/home/ref=atv_nb_logo

omni commented on 2017-10-02 13:52

Enjoy a standalone HD netflix player! f11 for fullscreen and crtl + q to quit

Latest Comments

1 2 3 4 Next › Last »

pj-bass commented on 2020-09-16 21:26

qtwebflix is not yet compatable with the latest build of qt5 - 5.15.1

Cannot mix incompatible Qt library (5.15.0) with this library (5.15.1)

T0MuX commented on 2020-05-15 22:07

Hi, I get this error on archlinuxarm (armv7, raspberrypi4)

[salon@alarmpi ~]$ qtwebflix ../../../../qtwebengine-everywhere-src-5.14.2/src/3rdparty/chromium/sandbox/linux/seccomp-bpf-helpers/sigsys_handlers.cc:CRASHING:seccomp-bpf failure in syscall 0403 1080p NEFLIX NO LONGER WORKS! ../../../../qtwebengine-everywhere-src-5.14.2/src/3rdparty/chromium/sandbox/linux/seccomp-bpf-helpers/sigsys_handlers.cc:CRASHING:seccomp-bpf failure in syscall 0403 write settings: "https://netflix.com/"

Erreur de segmentation (core dumped)

capoeira commented on 2020-04-28 16:12

any chance to get Amazon Prime in 1080p at least?

capoeira commented on 2020-04-28 15:32

neither ~/.config/Qtwebflix/Providers.conf nor ~/.config/Qtwebflix/providers.conf work for me.

only calling at comand line: qtwebflix -p https://www.primevideo.com/region/eu/storefront/home/ref=atv_nb_logo

danieltetraquark commented on 2019-11-24 19:42

the file for the providers is not capitalized, so providers.conf

petrmanek commented on 2019-07-07 19:55

Build fails if a previous version was installed:

mkdir: cannot create directory ‘build’: File exists Cannot read /home/petr/.cache/pikaur/build/qtwebflix-git/src: file to open is a directory Error processing project file: .. ==> ERROR: A failure occurred in build(). Aborting...

Command 'makepkg --force' failed to execute.

Here's a patched version that worked for me (only modified line #40):

https://gist.github.com/petrmanek/f9524862b6cdcf905d1da350041880af#file-qtwebflix-pkgbuild-sh-L40

p-we commented on 2019-06-28 20:10

Updated all QT5 packages currently in testing. Rebuild qtwebflix. Good as gold. Thanks for the tip.

p-we commented on 2019-06-27 21:43

@omni: Thanks for the follow-up. I had been recompiling all along hoping it would be fixed either in a qtwebflix update or an ARCH related package. Good to hear QT 5.13 is bringing fixes.

omni commented on 2019-06-26 19:43

@p-we I think it's more a webengine issue. PLease look @ your journal. Do you have qt5-webengine coredump?

https://github.com/gort818/qtwebflix/issues/65#

p-we commented on 2019-06-24 08:03

Since about a week qtweblix window flashes Netflix UI for about a second then goes white. Log looks like this

[mythtv@server LibreELEC.tv]$ qtwebflix Attribute Qt::AA_ShareOpenGLContexts must be set before QCoreApplication is created. Netflix Player detected! Injecting Netflix 1080p Unlocker...

I wonder if recent pacman update is issue. Using Intel UHD-550 graphics: [2019-06-21 18:20] [ALPM] upgraded mesa (19.1.0-2 -> 19.1.0-3) [2019-06-21 18:21] [ALPM] upgraded qt5-base (5.12.4-1 -> 5.12.4-2)